Git::Raw::Reflog::Entry(3pm)

NAME
Git::Raw::Reflog::Entry - Git reflog entry class

VERSION
version 0.90

DESCRIPTION
A Git::Raw::Reflog::Entry represents an entry in a Git reflog.

WARNING: The API of this module is unstable and may change without warning (any change will be appropriately documented in the changelog).

METHODS

  new_id( )
Retrieve the new id for the entry.

  old_id( )
Retrieve the old id for the entry.

  committer( )
The committer of the entry, a Git::Raw::Signature object.

  message( )
The message for the entry.

AUTHOR
Jacques Germishuys <jacquesg@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2014 Jacques Germishuys.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.